<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_client_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpc::ClientManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#ae8f089225320c8e8ce11c4587034b0d6">ClientManager</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a72cfe47bac319ec782ed7d819a909519">createBufferAndCodec</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#afc479442d1a9155035659410cf8a5a4b">createRequest</a>(bool isOneway)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a0977d17a96daccb35496edb01e3d59ad">getErrorHandler</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a9a1758444909cab977552c311c7856e6">m_codecFactory</a></td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a779a593cc268f3360c93f5c03c6db721">m_errorHandler</a></td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a6cb77b574dd3151a474ac11f855897da">m_messageFactory</a></td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a08d1af7d54f1205930ce1f76757fa450">m_sequence</a></td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#ab152184b28f94db67ad9c096a5f71f05">m_transport</a></td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a616ff219451ee523e593c92246a7335b">performRequest</a>(RequestContext &amp;request)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#adaef79f3392683e2135e3873fa20bc72">releaseRequest</a>(RequestContext &amp;request)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a440157b29d495471b158eabfc3c72d28">setCodecFactory</a>(CodecFactory *factory)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#abe9928cf550a16ea08047bbfbc9f8cf0">setErrorHandler</a>(client_error_handler_t error_handler)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#ae10c965ac19417149c9edfd2349e6350">setMessageBufferFactory</a>(MessageBufferFactory *factory)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a08d2032140f4b68d457b724f1d6ac0e4">setTransport</a>(Transport *transport)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#a16437643b04d2616ee1144887a5d7735">verifyReply</a>(RequestContext &amp;request)</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html#afef2a91be41f438b9da9de9127557fae">~ClientManager</a>()</td><td class="entry"><a class="el" href="classerpc_1_1_client_manager.html">erpc::ClientManager</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
